# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-07-11 04:35
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auto', '0004_auto_20170710_0409'),
        ('order', '0002_auto_20170708_0245'),
    ]

    operations = [
        migrations.CreateModel(
            name='ReportPodbor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Дата создания')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Последнее изменение')),
                ('auto_photo', models.ImageField(blank=True, null=True, upload_to='report/ppk/auto', verbose_name='Фото')),
                ('links', models.CharField(default='', max_length=200, verbose_name='Ссылки на объявления')),
                ('mileage', models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='Пробег')),
                ('cost_before', models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='Стоимость до торга')),
                ('cost_after', models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='Стоимость после торга')),
                ('cost_estimated', models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='Оценочная стоимость')),
                ('number_of_hosts', models.IntegerField(choices=[(0, 'Не важно'), (1, '1'), (2, '2'), (3, '3'), (4, 'Более трех')], default=0, verbose_name='Количество по ПТС')),
                ('photo_gibdd', models.ImageField(blank=True, null=True, upload_to='report/ppk/gibdd', verbose_name='Фото ГИБДД')),
                ('photo_fssp', models.ImageField(blank=True, null=True, upload_to='report/ppk/fssp', verbose_name='Фото ФССП')),
                ('photo_mycreditinfo', models.ImageField(blank=True, null=True, upload_to='report/ppk/mycreditinfo', verbose_name='Фото MyCreditInfo')),
                ('photo_avtokod', models.ImageField(blank=True, null=True, upload_to='report/ppk/avtokod', verbose_name='Фото Автокод')),
                ('photo_dopserv', models.ImageField(blank=True, null=True, upload_to='order/ppk/dopserv', verbose_name='Фото Дополнительные сервисы')),
                ('comment_jur', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('postor_shumi', models.BooleanField(default=False, verbose_name='Посторонние шумы')),
                ('com_postor_shumi', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('zapotev_techi', models.BooleanField(default=False, verbose_name='Запотевание/течи')),
                ('com_zapotev_techi', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('ravnom_rab', models.BooleanField(default=False, verbose_name='Равномерность работы')),
                ('com_ravnom_rab', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('ur_masla', models.BooleanField(default=False, verbose_name='Уровень масла')),
                ('com_ur_masla', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('ur_ohl_zhidk', models.BooleanField(default=False, verbose_name='Уровень жидкости охлаждающей системы')),
                ('com_ur_ohl_zhidk', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('tr_obsl', models.BooleanField(default=False, verbose_name='Требуется обслуживание')),
                ('com_tr_obsl', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('sost_priv_rem', models.BooleanField(default=False, verbose_name='Состояние приводных ремней')),
                ('com_sost_priv_rem', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('probuks_akpp', models.BooleanField(default=False, verbose_name='Пробуксовка/проскальзывание АКПП')),
                ('com_probuks_akpp', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('plavper_akpp', models.BooleanField(default=False, verbose_name='Плавность включения передач')),
                ('com_plavper_akpp', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('comment_dvig_diag', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('izn_ptk', models.PositiveSmallIntegerField(default=50, verbose_name='Износ ПТК')),
                ('com_izn_ptk', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('izn_ztk', models.PositiveSmallIntegerField(default=50, verbose_name='Износ ЗТК')),
                ('com_izn_ztk', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('izn_ptd', models.PositiveSmallIntegerField(default=50, verbose_name='Износ ПТД')),
                ('com_izn_ptd', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('izn_ztd', models.PositiveSmallIntegerField(default=50, verbose_name='Износ ЗТД')),
                ('com_izn_ztd', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('izn_rez_leto', models.PositiveSmallIntegerField(default=50, verbose_name='Износ резины летом')),
                ('com_izn_rez_leto', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('izn_rez_zima', models.PositiveSmallIntegerField(default=50, verbose_name='Износ резины зимой')),
                ('com_izn_rez_zima', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('ur_tormoz_zh', models.BooleanField(default=False, verbose_name='Уровень тормозной жидкости')),
                ('com_ur_tormoz_zh', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('ur_gur_zh', models.BooleanField(default=False, verbose_name='Уровень жидкости ГУР')),
                ('com_ur_gur_zh', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('sost_st_torm', models.BooleanField(default=False, verbose_name='Состояние стояночного тормоза')),
                ('com_sost_st_torm', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('sost_rez', models.BooleanField(default=False, verbose_name='Состояние резины')),
                ('com_sost_rez', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('sost_torm_zh', models.BooleanField(default=False, verbose_name='Состояние тормозной жидкости')),
                ('com_sost_torm_zh', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('stuki_skr', models.BooleanField(default=False, verbose_name='Наличие стуков, скрипов')),
                ('com_stuki_skr', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('otkl_pr_dvig', models.BooleanField(default=False, verbose_name='Отклонение от прямолинейного движения')),
                ('com_otkl_pr_dvig', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('luft_rul_uprav', models.BooleanField(default=False, verbose_name='Люфты в рулевом управлении')),
                ('com_luft_rul_uprav', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('comment_rul_uprav', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('read_vin', models.BooleanField(default=False, verbose_name='Чтение VIN из ЭБУ')),
                ('com_read_vin', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('connect_ebu', models.BooleanField(default=False, verbose_name='Связь с основным ЭБУ (ДВС, АКПП, SRS, immobiliser, ABS/ESP)')),
                ('com_connect_ebu', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('error_ebu', models.BooleanField(default=False, verbose_name='Наличие ошибок в ЭБУ')),
                ('com_error_ebu', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('number_key_ebu', models.NullBooleanField('Соответствие прописанных ключей с фактическим', null=True)),
                ('comment_comp_diag', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('svet_indik', models.BooleanField(default=False, verbose_name='Освещение и индикация')),
                ('com_svet_indik', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('steklopod', models.BooleanField(default=False, verbose_name='Стеклоподъемники')),
                ('com_steklopod', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('omyvatel', models.BooleanField(default=False, verbose_name='Очиститель/омыватель')),
                ('com_omyvatel', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('el_priv_sal', models.BooleanField(default=False, verbose_name='Эл. Привод (сидений, зеркал и.т.д.)/Подогрев')),
                ('com_el_priv_sal', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('el_komp_other', models.BooleanField(default=False, verbose_name='Прочие электронные компоненты и устройства')),
                ('com_el_komp_other', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('ispr_srs', models.BooleanField(default=False, verbose_name='Исправность/Наличие системы SRS')),
                ('com_ispr_srs', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('davlenie_ac', models.BooleanField(default=False, verbose_name='Давление в системе A/C')),
                ('com_davlenie_ac', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('ispr_ac', models.BooleanField(default=False, verbose_name='Исправность системы A/C')),
                ('com_ispr_ac', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('comment_elektro', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('salon_defects', models.BooleanField(default=False, verbose_name='Наличие дефектов')),
                ('com_salon_defects', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('salon_clear', models.BooleanField(default=False, verbose_name='Чистота')),
                ('com_salon_clear', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('comment_sost_salon', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('photo_vin1', models.ImageField(blank=True, null=True, upload_to='report/ppk/n1', verbose_name='VIN код на кузове/раме №1')),
                ('photo_vin2', models.ImageField(blank=True, null=True, upload_to='report/ppk/n2', verbose_name='VIN код на кузове/раме №2')),
                ('photo_vin3', models.ImageField(blank=True, null=True, upload_to='report/ppk/n3', verbose_name='VIN код на кузове/раме №3')),
                ('photo_vin_table', models.ImageField(blank=True, null=True, upload_to='report/ppk/table', verbose_name='VIN код на табличке')),
                ('photo_vin_glass', models.ImageField(blank=True, null=True, upload_to='report/ppk/glass', verbose_name='VIN код под лобовым стеклом')),
                ('comment_vin', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('lufts', models.BooleanField(default=False, verbose_name='Люфты (шаровые, рулевые, наконечники, тяги, подшипники)')),
                ('com_lufts', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('silentblocks', models.BooleanField(default=False, verbose_name='Состояние сайлентблоков')),
                ('com_silentblocks', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('tormoz_defects', models.BooleanField(default=False, verbose_name='Наличие дефектов тормозной системы (шланги, трубки, суппорта)')),
                ('com_tormoz_defects', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('sost_opor', models.BooleanField(default=False, verbose_name='Состояние опор (ДВС КПП, раздаточной КПП, редуктора и.т.д.)')),
                ('com_sost_opor', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('zapotev_tech', models.BooleanField(default=False, verbose_name='Запотевания, течи')),
                ('com_zapotev_tech', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('sost_pylnikov', models.BooleanField(default=False, verbose_name='Состояние пыльников')),
                ('com_sost_pylnikov', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('sost_vyhlop', models.BooleanField(default=False, verbose_name='Состояние выхлопной системы')),
                ('com_sost_vyhlop', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('silov_el', models.BooleanField(default=False, verbose_name='Наличие дефектов')),
                ('com_silov_el', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Состояние силовых элементов кузова')),
                ('other_defects', models.BooleanField(default=False, verbose_name='Прочие дефекты')),
                ('com_other_defects', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('comment_podyemnik', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Комментарий')),
                ('auto', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='auto.Auto', verbose_name='Авто')),
                ('order', models.ManyToManyField(blank=True, default=None, null=True, to='order.Order', verbose_name='Заказ')),
            ],
            options={
                'verbose_name': 'отчет',
                'verbose_name_plural': 'отчеты',
                'ordering': ['created'],
            },
        ),
    ]
